package com.ejie.ab63.model;

import java.util.Date;

import com.ejie.x38.serialization.JsonDateDeserializer;
import com.ejie.x38.serialization.JsonDateSerializer;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;

/**
 * Ab6336s00  
 * 
 *  
 */

public class TipoFranquicia implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Long idFranquicia;
	private String descFranquiciaEs;
	private String descFranquiciaEu;
	private Integer baja;
	private Date fechaRegistro;
	private String usuarioRegistro;
	private Date fechaUltmodificacion;
	private String usuarioUltmodificacion;

	/**
	 * Method 'Ab6336s00'.
	 */
	public TipoFranquicia() {
	}

	/**
	 * Method 'Ab6336s00'.
	 * 
	 * @param idFranquicia
	 *            String
	 */
	public TipoFranquicia(Long idFranquicia) {
		this.idFranquicia = idFranquicia;
	}

	/**
	 * Method 'Ab6336s00'.
	 * 
	 * @param idFranquicia
	 *            String
	 * @param descFranquiciaEs
	 *            String
	 * @param descFranquiciaEu
	 *            String
	 * @param baja
	 *            Integer
	 * @param fechaRegistro
	 *            Date
	 * @param usuarioRegistro
	 *            String
	 * @param fechaUltmodificacion
	 *            Date
	 * @param usuarioUltmodificacion
	 *            String
	 */
	public TipoFranquicia(Long idFranquicia, String descFranquiciaEs, String descFranquiciaEu, Integer baja,
			Date fechaRegistro, String usuarioRegistro, Date fechaUltmodificacion, String usuarioUltmodificacion) {

		this.idFranquicia = idFranquicia;
		this.descFranquiciaEs = descFranquiciaEs;
		this.descFranquiciaEu = descFranquiciaEu;
		this.baja = baja;
		this.fechaRegistro = fechaRegistro;
		this.usuarioRegistro = usuarioRegistro;
		this.fechaUltmodificacion = fechaUltmodificacion;
		this.usuarioUltmodificacion = usuarioUltmodificacion;
	}

	/**
	 * Method 'getIdFranquicia'.
	 *
	 * @return String
	 */

	public Long getIdFranquicia() {
		return this.idFranquicia;
	}

	/**
	 * Method 'setIdFranquicia'.
	 *
	 * @param idFranquicia
	 *            String
	 * @return
	 */

	public void setIdFranquicia(Long idFranquicia) {
		this.idFranquicia = idFranquicia;
	}

	/**
	 * Method 'getDescFranquiciaEs'.
	 *
	 * @return String
	 */

	public String getDescFranquiciaEs() {
		return this.descFranquiciaEs;
	}

	/**
	 * Method 'setDescFranquiciaEs'.
	 *
	 * @param descFranquiciaEs
	 *            String
	 * @return
	 */

	public void setDescFranquiciaEs(String descFranquiciaEs) {
		this.descFranquiciaEs = descFranquiciaEs;
	}

	/**
	 * Method 'getDescFranquiciaEu'.
	 *
	 * @return String
	 */

	public String getDescFranquiciaEu() {
		return this.descFranquiciaEu;
	}

	/**
	 * Method 'setDescFranquiciaEu'.
	 *
	 * @param descFranquiciaEu
	 *            String
	 * @return
	 */

	public void setDescFranquiciaEu(String descFranquiciaEu) {
		this.descFranquiciaEu = descFranquiciaEu;
	}

	/**
	 * Method 'getBaja'.
	 *
	 * @return Integer
	 */

	public Integer getBaja() {
		return this.baja;
	}

	/**
	 * Method 'setBaja'.
	 *
	 * @param baja
	 *            Integer
	 * @return
	 */

	public void setBaja(Integer baja) {
		this.baja = baja;
	}

	/**
	 * Method 'getFechaRegistro'.
	 *
	 * @return java.util.Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaRegistro() {
		return this.fechaRegistro;
	}

	/**
	 * Method 'setFechaRegistro'.
	 *
	 * @param fechaRegistro
	 *            java.util.Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaRegistro(Date fechaRegistro) {
		this.fechaRegistro = fechaRegistro;
	}

	/**
	 * Method 'getUsuarioRegistro'.
	 *
	 * @return String
	 */

	public String getUsuarioRegistro() {
		return this.usuarioRegistro;
	}

	/**
	 * Method 'setUsuarioRegistro'.
	 *
	 * @param usuarioRegistro
	 *            String
	 * @return
	 */

	public void setUsuarioRegistro(String usuarioRegistro) {
		this.usuarioRegistro = usuarioRegistro;
	}

	/**
	 * Method 'getFechaUltmodificacion'.
	 *
	 * @return java.util.Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaUltmodificacion() {
		return this.fechaUltmodificacion;
	}

	/**
	 * Method 'setFechaUltmodificacion'.
	 *
	 * @param fechaUltmodificacion
	 *            java.util.Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaUltmodificacion(Date fechaUltmodificacion) {
		this.fechaUltmodificacion = fechaUltmodificacion;
	}

	/**
	 * Method 'getUsuarioUltmodificacion'.
	 *
	 * @return String
	 */

	public String getUsuarioUltmodificacion() {
		return this.usuarioUltmodificacion;
	}

	/**
	 * Method 'setUsuarioUltmodificacion'.
	 *
	 * @param usuarioUltmodificacion
	 *            String
	 * @return
	 */

	public void setUsuarioUltmodificacion(String usuarioUltmodificacion) {
		this.usuarioUltmodificacion = usuarioUltmodificacion;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ idFranquicia: ").append(this.idFranquicia).append(" ]");
		result.append(", [ descFranquiciaEs: ").append(this.descFranquiciaEs).append(" ]");
		result.append(", [ descFranquiciaEu: ").append(this.descFranquiciaEu).append(" ]");
		result.append(", [ baja: ").append(this.baja).append(" ]");
		result.append(", [ fechaRegistro: ").append(this.fechaRegistro).append(" ]");
		result.append(", [ usuarioRegistro: ").append(this.usuarioRegistro).append(" ]");
		result.append(", [ fechaUltmodificacion: ").append(this.fechaUltmodificacion).append(" ]");
		result.append(", [ usuarioUltmodificacion: ").append(this.usuarioUltmodificacion).append(" ]");
		result.append("}");
		return result.toString();
	}

}
